> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a payment (move funds)



## OpenAPI

````yaml /api-reference/openapi.json post /v1/agent-self/payments
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/agent-self/payments:
    post:
      tags:
        - Agent Self
      summary: Create a payment (move funds)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - agentWalletId
                - assetId
                - recipient
                - amount
              properties:
                agentWalletId:
                  type: string
                assetId:
                  type: string
                recipient:
                  type: string
                amount:
                  type: string
                idempotencyKey:
                  type: string
                kind:
                  type: string
                  enum:
                    - TRANSFER
                    - CHECKOUT
      responses:
        '201':
          description: Payment transaction result
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      organizationId:
                        type: string
                        format: uuid
                      agentId:
                        type: string
                        format: uuid
                      agentWalletId:
                        type: string
                        format: uuid
                      kind:
                        type: string
                        enum:
                          - TRANSFER
                          - SWAP
                          - CHECKOUT
                      status:
                        type: string
                        enum:
                          - PENDING
                          - POLICY_DENIED
                          - APPROVED
                          - SUBMITTED
                          - EXECUTED
                          - FAILED
                      assetId:
                        type: string
                      blockchainId:
                        type: string
                      recipient:
                        type: string
                      amount:
                        type: string
                      amountUsd:
                        type: string
                        nullable: true
                      policyId:
                        type: string
                        nullable: true
                      policyEvaluation:
                        type: object
                        nullable: true
                      denialReason:
                        type: string
                        nullable: true
                      waasTxHash:
                        type: string
                        nullable: true
                      idempotencyKey:
                        type: string
                        nullable: true
                      createdAt:
                        type: string
                        format: date-time
                      executedAt:
                        type: string
                        format: date-time
                        nullable: true
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - AgentKeyAuth: []
components:
  securitySchemes:
    AgentKeyAuth:
      type: apiKey
      in: header
      name: x-agent-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.